LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   Error updating Xine and ffmpeg. (http://www.linuxquestions.org/questions/fedora-35/error-updating-xine-and-ffmpeg-558898/)

Ordinary12 06-03-2007 05:30 PM

Error updating Xine and ffmpeg.
 
I have a version of the Xine movie player that plays encrypted movies. I love this feature but I've had an update for the past month that won't install because of it. Does anyone know how I can get around this problem? This is the message I get when I try to update XINE.

[('file /usr/lib/xine/plugins/1.1.6/post/xineplug_post_planar.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/post/xineplug_post_planar.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/post/xineplug_post_tvtime.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/post/xineplug_post_tvtime.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_a52.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_a52.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_dts.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_dts.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_dvaudio.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_dvaudio.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_dxr3_spu.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_dxr3_spu.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_dxr3_video.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_dxr3_video.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_faad.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_faad.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_ff.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_ff.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_mad.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_mad.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_mpeg2.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_mpeg2.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_nsf.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_nsf.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_spu.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_spu.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_spucc.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_spucc.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_decode_spucmml.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_decode_spucmml.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_asf.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_asf.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_block.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_block.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_elem.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_elem.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_pes.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_pes.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_ts.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_mpeg_ts.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_dmx_yuv4mpeg2.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_dmx_yuv4mpeg2.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_inp_dvd.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_inp_dvd.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_inp_mms.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_inp_mms.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_inp_vcd.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_inp_vcd.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_inp_vcdo.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_inp_vcdo.so', 0L)), ('file /usr/lib/xine/plugins/1.1.6/xineplug_vo_out_dxr3.so from install of xine-lib-moles-1.1.6-1.fc6 conflicts with file from package xine-lib-extras-nonfree-1.1.6-1.lvn6', (7, '/usr/lib/xine/plugins/1.1.6/xineplug_vo_out_dxr3.so', 0L))]

angryfirelord 06-03-2007 05:39 PM

Ah yes, you've encountered the wonderful dependency hell. :p

Because there's so much stuff below, can you post the output when you run yum update? (unless you tried to update xine by another way, in which case put that in your reply)

jschiwal 06-03-2007 06:12 PM

You installed xine from an alternate source. Update it using the same repo and not the regular one. Doing that may replace it with a version that doesn't play DVDs or MP3s.


All times are GMT -5. The time now is 11:05 PM.